> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update settings

> Update given customer setting keys of the context.

<sup>Required permissions: `customer-settings:write`</sup>



## OpenAPI

````yaml patch /customers/{id}/settings/{context}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /customers/{id}/settings/{context}:
    parameters: []
    patch:
      tags:
        - CustomerSettings
      summary: Update settings
      description: |-
        Update given customer setting keys of the context.

        <sup>Required permissions: `customer-settings:write`</sup>
      operationId: updateCustomerSettingsContext
      parameters:
        - name: id
          in: path
          description: Setting identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: context
          in: path
          description: Setting identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The updated Setting resource
        content:
          application/merge-patch+json:
            schema:
              $ref: '#/components/schemas/Setting.UpdateSettings'
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/Setting.UpdateSettings'
        required: true
      responses:
        '200':
          description: The settings of the context
          content:
            application/json:
              example:
                settings:
                  key: value
                inheritance:
                  key: defaultValue|tenant|customer
              schema:
                type: object
                properties:
                  settings:
                    type: object
                    additionalProperties:
                      type: string
                  inheritance:
                    type: object
                    additionalProperties:
                      type: string
        '400':
          description: Invalid input
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - customer-settings:write
components:
  schemas:
    Setting.UpdateSettings:
      type: object
      description: ''
      deprecated: false
      properties:
        settings:
          minItems: 1
          description: The settings to update.
          type: array
          items:
            type: object
            properties:
              key:
                type: string
                example: hideZeroSetupFee
                description: The key of the setting.
              value:
                example: false
                description: The value of the setting.
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````